import { Routes } from '@angular/router';
import { PolicyComponent } from './policy/policy.component';
import { AuthUserGuard } from './shared/auth/auth.user.guard';
import { LoginComponent } from './login/login.component';
import { TtsLoginComponent } from './tts-login/tts-login.component';
import { TwitchAuthCallbackComponent } from './twitch-auth-callback/twitch-auth-callback.component';

export const routes: Routes = [
    {
        path: 'policies',
        component: PolicyComponent,
        canActivate: [AuthUserGuard],
    },
    {
        path: 'login',
        component: LoginComponent,
    },
    {
        path: 'tts-login',
        component: TtsLoginComponent,
        canActivate: [AuthUserGuard],
    },
    {
        path: 'auth',
        component: TwitchAuthCallbackComponent
    }
];
