import { Component } from '@angular/core';
import { RouterModule } from '@angular/router';
import { CommonModule } from '@angular/common';
import { HermesClientService } from '../hermes-client.service';
import { ApiAuthenticationService } from '../shared/services/api/api-authentication.service';
import { ImpersonationComponent } from '../impersonation/impersonation.component';
import { MatCardModule } from '@angular/material/card';

@Component({
  selector: 'navigation',
  standalone: true,
  imports: [CommonModule, RouterModule, ImpersonationComponent, MatCardModule],
  templateUrl: './navigation.component.html',
  styleUrl: './navigation.component.scss'
})
export class NavigationComponent {
    constructor(private auth: ApiAuthenticationService, private hermes: HermesClientService) { }

    isLoggedIn() {
        return this.auth.isAuthenticated();
    }

    isAdmin() {
        return this.isLoggedIn() && this.auth.isAdmin()
    }

    isTTSLoggedIn() {
        return this.hermes?.logged_in ?? false;
    }
}
