import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot } from '@angular/router';
import { ApiAuthenticationService } from '../services/api/api-authentication.service';

@Injectable({
    providedIn: 'root'
})
export class AuthAdminGuard implements CanActivate {

  constructor(private auth: ApiAuthenticationService, private router: Router) {}

  async canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<boolean> {
    return this.auth.isAuthenticated() && this.auth.isAdmin();
  }
}